> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> Get Transactions



## OpenAPI

````yaml get /merchant/transactions
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /merchant/transactions:
    get:
      tags:
        - Transactions
      summary: Get Transactions
      description: Get Transactions
      operationId: getTransactions
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from_date:
                  type: string
                  example: '2024-01-15'
                limit:
                  type: string
                  example: '20'
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
                pageNumber:
                  type: number
                  example: 0
                to_date:
                  type: string
                  example: '2024-07-18'
              required:
                - merchant_key
            examples:
              Get Transactions:
                value:
                  from_date: '2024-01-15'
                  limit: '20'
                  merchant_key: '{{merchant_key}}'
                  pageNumber: 0
                  to_date: '2024-07-18'
      responses:
        '200':
          description: Get Transactions
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '4451'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 16:52:54 GMT
            ETag:
              schema:
                type: string
                example: W/"1163-ksnM6JvIou+q4vl2UFTU1o0veuE"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        amount:
                          type: string
                          example: '1.00'
                        created_date:
                          type: string
                          example: '2024-07-15T22:47:06.000Z'
                        fee_percentage:
                          type: string
                          example: '0.0000000'
                        net_amount:
                          type: number
                          example: 0.97
                        other_details:
                          type: object
                          properties:
                            auth_code:
                              type: string
                              example: y1sskla5N
                            card_brand:
                              type: string
                              example: VISA
                            last_four:
                              type: string
                              example: '0043'
                        transaction_id:
                          type: string
                          example: txn_294ac4cb42
                    example:
                      - amount: '1.00'
                        created_date: '2024-07-15T22:47:06.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: y1sskla5N
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_294ac4cb42
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:44.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: 9nYTCO3
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_f83920db42
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:27.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: ZZ072OJeLk
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_ee8a4828
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:14.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: IEWrahzKAB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e6bbd59542
                      - amount: '1.00'
                        created_date: '2024-07-15T22:43:48.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: jPXI7gxQ
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_b330e46b42
                      - amount: '1.00'
                        created_date: '2024-07-15T16:32:20.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: ZvaoUl4Lyq
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_cec8b3b142
                      - amount: '1.00'
                        created_date: '2024-07-15T16:29:25.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: i6a7il0
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_664f064a42
                      - amount: '1.00'
                        created_date: '2024-07-15T16:19:33.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: 0N1BuUwq
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_057629e642
                      - amount: '1.00'
                        created_date: '2024-07-15T16:18:46.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: k7NiHFSOQF
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e95bd20742
                      - amount: '4.55'
                        created_date: '2024-07-11T16:13:29.000Z'
                        fee_percentage: '0.1365000'
                        net_amount: 4.41
                        other_details:
                          auth_code: 8eD7NXQ0
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_82b654dc3f
                      - amount: '8.00'
                        created_date: '2024-07-09T17:59:34.000Z'
                        fee_percentage: '0.2400000'
                        net_amount: 7.76
                        other_details:
                          auth_code: M2bxfXS
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_ffd2c8343e
                      - amount: '3.00'
                        created_date: '2024-07-09T15:57:10.000Z'
                        fee_percentage: '0.0900000'
                        net_amount: 2.91
                        other_details:
                          auth_code: WxxkG24J
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e656c18b3e
                      - amount: '4.00'
                        created_date: '2024-07-09T15:54:40.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 4
                        other_details:
                          auth_code: 7caxq68qT
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_8d1d35a93e
                      - amount: '7.00'
                        created_date: '2024-07-09T15:28:51.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 7
                        other_details:
                          auth_code: zGlAoC3Zk
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_f1e946cc3e
                      - amount: '6.00'
                        created_date: '2024-07-08T17:13:52.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 2.82
                        other_details:
                          auth_code: cTbiOd2dwY
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_72ea4c0e3d
                      - amount: '2.00'
                        created_date: '2024-07-08T17:09:17.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: -1.06
                        other_details:
                          auth_code: C1AQg5S
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_cf54dd133d
                      - amount: '3.00'
                        created_date: '2024-07-08T16:12:32.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 2.91
                        other_details:
                          auth_code: 00tCCRUMEB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e1d611ae3d
                      - amount: '8.00'
                        created_date: '2024-07-08T16:07:16.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 7.76
                        other_details:
                          auth_code: M5a0IKoB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_2582623a3d
                  message:
                    type: string
                    example: Merchant's Transactions
                  result:
                    type: boolean
                    example: true
                  total:
                    type: number
                    example: 18
              examples:
                Get Transactions:
                  value:
                    data:
                      - amount: '1.00'
                        created_date: '2024-07-15T22:47:06.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: y1sskla5N
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_294ac4cb42
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:44.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: 9nYTCO3
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_f83920db42
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:27.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: ZZ072OJeLk
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_ee8a4828
                      - amount: '1.00'
                        created_date: '2024-07-15T22:45:14.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: IEWrahzKAB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e6bbd59542
                      - amount: '1.00'
                        created_date: '2024-07-15T22:43:48.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: jPXI7gxQ
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_b330e46b42
                      - amount: '1.00'
                        created_date: '2024-07-15T16:32:20.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: ZvaoUl4Lyq
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_cec8b3b142
                      - amount: '1.00'
                        created_date: '2024-07-15T16:29:25.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: i6a7il0
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_664f064a42
                      - amount: '1.00'
                        created_date: '2024-07-15T16:19:33.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: 0N1BuUwq
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_057629e642
                      - amount: '1.00'
                        created_date: '2024-07-15T16:18:46.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 0.97
                        other_details:
                          auth_code: k7NiHFSOQF
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e95bd20742
                      - amount: '4.55'
                        created_date: '2024-07-11T16:13:29.000Z'
                        fee_percentage: '0.1365000'
                        net_amount: 4.41
                        other_details:
                          auth_code: 8eD7NXQ0
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_82b654dc3f
                      - amount: '8.00'
                        created_date: '2024-07-09T17:59:34.000Z'
                        fee_percentage: '0.2400000'
                        net_amount: 7.76
                        other_details:
                          auth_code: M2bxfXS
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_ffd2c8343e
                      - amount: '3.00'
                        created_date: '2024-07-09T15:57:10.000Z'
                        fee_percentage: '0.0900000'
                        net_amount: 2.91
                        other_details:
                          auth_code: WxxkG24J
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e656c18b3e
                      - amount: '4.00'
                        created_date: '2024-07-09T15:54:40.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 4
                        other_details:
                          auth_code: 7caxq68qT
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_8d1d35a93e
                      - amount: '7.00'
                        created_date: '2024-07-09T15:28:51.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 7
                        other_details:
                          auth_code: zGlAoC3Zk
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_f1e946cc3e
                      - amount: '6.00'
                        created_date: '2024-07-08T17:13:52.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 2.82
                        other_details:
                          auth_code: cTbiOd2dwY
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_72ea4c0e3d
                      - amount: '2.00'
                        created_date: '2024-07-08T17:09:17.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: -1.06
                        other_details:
                          auth_code: C1AQg5S
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_cf54dd133d
                      - amount: '3.00'
                        created_date: '2024-07-08T16:12:32.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 2.91
                        other_details:
                          auth_code: 00tCCRUMEB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_e1d611ae3d
                      - amount: '8.00'
                        created_date: '2024-07-08T16:07:16.000Z'
                        fee_percentage: '0.0000000'
                        net_amount: 7.76
                        other_details:
                          auth_code: M5a0IKoB
                          card_brand: VISA
                          last_four: '0043'
                        transaction_id: txn_2582623a3d
                    message: Merchant's Transactions
                    result: true
                    total: 18
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````